Package com.xebialabs.xlrelease.domain.environments

## Class EnvironmentReservation

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.environments.EnvironmentReservation

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false,
                root=CONFIGURATION)
      public class EnvironmentReservation
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnvironmentReservation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addApplication​(Application application)` |
    `java.util.List<Application>` | `getApplications()` |
    `java.util.Date` | `getEndDate()` |
    `Environment` | `getEnvironment()` |
    `java.lang.String` | `getNote()` |
    `java.util.Date` | `getStartDate()` |
    `void` | `setApplications​(java.util.List<Application> applications)` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setEnvironment​(Environment environment)` |
    `void` | `setNote​(java.lang.String note)` |
    `void` | `setStartDate​(java.util.Date startDate)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentReservation

          public EnvironmentReservation()

  - ### Method Detail

    - #### getEnvironment

          public Environment getEnvironment()

    - #### setEnvironment

          public void setEnvironment​(Environment environment)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)

    - #### getApplications

          public java.util.List<Application> getApplications()

    - #### setApplications

          public void setApplications​(java.util.List<Application> applications)

    - #### addApplication

          public void addApplication​(Application application)

    - #### getNote

          public java.lang.String getNote()

    - #### setNote

          public void setNote​(java.lang.String note)